org.appng.core.model

## Class ThymeleafProcessor.AppNG

- java.lang.Object
- - org.appng.core.model.ThymeleafProcessor.AppNG

- Enclosing class:
    ThymeleafProcessor

      public static class ThymeleafProcessor.AppNG
      extends Object

  This is a helper class to make it easier for the thymeleaf template to interact with appNG's `Platform` object.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppNG(Platform platform, XPathProcessor xpath, String siteName, String applicationName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `action(String eventId, String id)`
    `FieldDef` | `actionField(String eventId, String id, String name)`
    `Datafield` | `childData(Datafield parent, String name)`
    `FieldDef` | `childField(FieldDef parent, String name)`
    `Datafield` | `data(Action action, String name)`
    `Datafield` | `data(Result result, String name)`
    `Datafield` | `data(String eventId, String id, String name)`
    `Datasource` | `datasource(String id)`
    `FieldDef` | `dataSourceField(String id, String name)`
    `Linkable` | `defaultLink(Linkpanel panel)`
    `Linkable` | `defaultLink(List<Linkpanel> panels)`
    `FieldDef` | `field(Action action, String name)`
    `FieldDef` | `field(DataConfig config, String name)`
    `FieldDef` | `field(Datasource datasource, String name)`
    `FieldDef` | `field(MetaData metaData, String name)`
    `String` | `getApplicationName()`
    `String` | `getParam(String pageId, String name)`
    `String` | `getSiteId()`
    `String` | `getSiteName()`
    `List<NavigationItem>` | `getSiteNavigation()`
    `Subject` | `getSubject()`
    `boolean` | `hasAction(String eventId, String id)`
    `boolean` | `hasDatasource(String id)`
    `boolean` | `hasErrors(FieldDef field)`
    `boolean` | `hasErrors(Messages messages)`
    `boolean` | `hasSort(DataConfig dataConfig)`
    `boolean` | `isFiltered(String pageId, Datasource datasource)`
    `String` | `label(Config config, String id)`
    `Linkpanel` | `linkpanel(DataConfig config, String name)`
    `Linkpanel` | `linkpanel(Result result, String name)`
    `PageReference` | `page(String id)`
    `List<Integer>` | `pages(Resultset resultset)`
    `String` | `param(Action action, String name)`
    `String` | `param(Datasource datasource, String name)`
    `String` | `param(List<Param> params, String name)`
    `String` | `param(Params params, String name)`
    `Result` | `result(Datasource datasource, int index)`
    `List<ValidationRule>` | `rules(FieldDef field)`
    `Selection` | `selection(Data data, String name)`
    `String` | `sessionParam(String name)`
    `String` | `urlParam(String pageId, String name)`
    `Node` | `xElement(Node node, String xpathExpression)`
    `Node` | `xElement(String xpathExpression)`
    `Node` | `xNode(Node node, String xpathExpression)`
    `Node` | `xNode(String xpathExpression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppNG

          public AppNG(Platform platform,
                       XPathProcessor xpath,
                       String siteName,
                       String applicationName)

  - ### Method Detail

    - #### hasSort

          public boolean hasSort(DataConfig dataConfig)

    - #### rules

          public List<ValidationRule> rules(FieldDef field)

    - #### getSubject

          public Subject getSubject()

    - #### getSiteNavigation

          public List<NavigationItem> getSiteNavigation()

    - #### getSiteId

          public String getSiteId()

    - #### getSiteName

          public String getSiteName()

    - #### getApplicationName

          public String getApplicationName()

    - #### action

          public Action action(String eventId,
                               String id)

    - #### hasErrors

          public boolean hasErrors(FieldDef field)

    - #### hasErrors

          public boolean hasErrors(Messages messages)

    - #### hasAction

          public boolean hasAction(String eventId,
                                   String id)

    - #### datasource

          public Datasource datasource(String id)

    - #### hasDatasource

          public boolean hasDatasource(String id)

    - #### param

          public String param(Datasource datasource,
                              String name)

    - #### param

          public String param(Action action,
                              String name)

    - #### param

          public String param(Params params,
                              String name)

    - #### param

          public String param(List<Param> params,
                              String name)

    - #### actionField

          public FieldDef actionField(String eventId,
                                      String id,
                                      String name)

    - #### label

          public String label(Config config,
                              String id)

    - #### linkpanel

          public Linkpanel linkpanel(DataConfig config,
                                     String name)

    - #### linkpanel

          public Linkpanel linkpanel(Result result,
                                     String name)

    - #### pages

          public List<Integer> pages(Resultset resultset)

    - #### field

          public FieldDef field(Action action,
                                String name)

    - #### dataSourceField

          public FieldDef dataSourceField(String id,
                                          String name)

    - #### field

          public FieldDef field(Datasource datasource,
                                String name)

    - #### field

          public FieldDef field(DataConfig config,
                                String name)

    - #### isFiltered

          public boolean isFiltered(String pageId,
                                    Datasource datasource)

    - #### field

          public FieldDef field(MetaData metaData,
                                String name)

    - #### childField

          public FieldDef childField(FieldDef parent,
                                     String name)

    - #### data

          public Datafield data(String eventId,
                                String id,
                                String name)

    - #### data

          public Datafield data(Action action,
                                String name)

    - #### result

          public Result result(Datasource datasource,
                               int index)

    - #### data

          public Datafield data(Result result,
                                String name)

    - #### childData

          public Datafield childData(Datafield parent,
                                     String name)

    - #### selection

          public Selection selection(Data data,
                                     String name)

    - #### page

          public PageReference page(String id)

    - #### getParam

          public String getParam(String pageId,
                                 String name)

    - #### urlParam

          public String urlParam(String pageId,
                                 String name)

    - #### defaultLink

          public Linkable defaultLink(Linkpanel panel)

    - #### defaultLink

          public Linkable defaultLink(List<Linkpanel> panels)

    - #### sessionParam

          public String sessionParam(String name)

    - #### xNode

          public Node xNode(String xpathExpression)

    - #### xElement

          public Node xElement(String xpathExpression)

    - #### xNode

          public Node xNode(Node node,
                            String xpathExpression)

    - #### xElement

          public Node xElement(Node node,
                               String xpathExpression)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.